> ## Documentation Index
> Fetch the complete documentation index at: https://developers.leadwaycrm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all categories

> The "Get all categories" Api return the blog categoies for a given account ID. Please use "blogs/category.readonly"

The "Get all categories" Api return the blog categoies for a given account ID. Please use "blogs/category.readonly"

```http theme={null}
GET https://services.leadconnectorhq.com/blogs/categories
```

## Autorización

<ParamField header="Authorization" type="string" required>
  Bearer token generado desde el portal Leadway. Ver [Autenticación](/authentication).
</ParamField>

<ParamField header="Version" type="string" required default="2021-07-28">
  Versión de la API.
</ParamField>

## Query parameters

<ParamField query="locationId" type="string" required default="ve9EPM428h8vShlRW1KT" />

<ParamField query="limit" type="number" required>
  Number of categories to show in the listing
</ParamField>

<ParamField query="offset" type="number" required>
  Number of categories to skip in listing
</ParamField>

## Respuestas

<Accordion title="200 - Successful response">
  <ResponseField name="categories" type="object[]" required>
    Array of categories

    <Expandable title="cada item">
      <ResponseField name="_id" type="string" required default="lMOzIQZne5m6zQ528sT6" />

      <ResponseField name="label" type="string" default="Leadway" />

      <ResponseField name="locationId" type="string" required default="lMOzIQZne5m6zQ528sT6" />

      <ResponseField name="updatedAt" type="string" required default="2025-01-03T11:06:35.822Z" />

      <ResponseField name="canonicalLink" type="string" required default="https://tryghl.blog/doc/category/agency-growth" />

      <ResponseField name="urlSlug" type="string" required default="agency-growth" />
    </Expandable>
  </ResponseField>

  ```json theme={null}
  {
    "categories": [
      {
        "_id": "lMOzIQZne5m6zQ528sT6",
        "label": "Leadway",
        "locationId": "lMOzIQZne5m6zQ528sT6",
        "updatedAt": "2025-01-03T11:06:35.822Z",
        "canonicalLink": "https://tryghl.blog/doc/category/agency-growth",
        "urlSlug": "agency-growth"
      }
    ]
  }
  ```
</Accordion>

<Accordion title="400 - Bad Request">
  ```json theme={null}
  {}
  ```
</Accordion>

<Accordion title="401 - Unauthorized">
  ```json theme={null}
  {}
  ```
</Accordion>

<Accordion title="422 - Unprocessable Entity">
  ```json theme={null}
  {}
  ```
</Accordion>

## Ejemplo

<CodeGroup>
  ```bash cURL theme={null}
  curl -X GET 'https://services.leadconnectorhq.com/blogs/categories' \
    -H 'Authorization: Bearer YOUR_TOKEN' \
    -H 'Version: 2021-07-28'
  ```

  ```javascript Node.js theme={null}
  const response = await fetch('https://services.leadconnectorhq.com/blogs/categories', {
    method: 'GET',
    headers: {
      Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
      Version: '2021-07-28',
    },
  });
  const data = await response.json();
  ```

  ```python Python theme={null}
  import os, requests
  response = requests.request(
      'GET',
      'https://services.leadconnectorhq.com/blogs/categories',
      headers={
          'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
          'Version': '2021-07-28',
      },
  )
  data = response.json()
  ```

  ```php PHP theme={null}
  <?php
  $ch = curl_init('https://services.leadconnectorhq.com/blogs/categories');
  curl_setopt_array($ch, [
      CURLOPT_RETURNTRANSFER => true,
      CURLOPT_CUSTOMREQUEST => 'GET',
      CURLOPT_HTTPHEADER => [
          'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
          'Version: 2021-07-28',
      ],
  ]);
  $data = json_decode(curl_exec($ch), true);
  ```
</CodeGroup>
